# OutputMode enum

Output mode of binarization filter.

Inheritance
  - Object
  - Enum
  - OutputMode

## Constructors

OutputMode()
  const

## Values

BINARY → const OutputMode

  BINARY - Black and white image, suitable for 1-bit compression.

ANTIALIASED → const OutputMode

  ANTIALIASED - When the source image is a document photo, this mode will produce nice, smooth, antialiased text in grayscale, which is typically more readable than the text in BINARY mode. Antialiasing requires extra processing, which makes this mode slower than BINARY mode.

## Properties

hashCode → int
  The hash code for this object.
  no setter inherited
index → int
  A numeric identifier for the enumerated value.
  no setter inherited
runtimeType → Type
  A representation of the runtime type of the object.
  no setter inherited

## Methods

noSuchMethod(Invocation invocation) → dynamic
  Invoked when a nonexistent method or property is accessed.
  inherited
toString() → String
  A string representation of this object.
  inherited

## Operators

operator ==(Object other) → bool
  The equality operator.
  inherited

## Constants

values → const List<OutputMode>
  A constant List of the values in this enum, in order of their declaration.